aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHarald Welte <laforge@gnumonks.org>2017-07-10 14:58:06 +0200
committerHarald Welte <laforge@gnumonks.org>2017-07-10 14:58:06 +0200
commita06b877437a48ca14b8066663ea226dadee0014a (patch)
treea01b6dc58be50dccb43850650f9d15d3e33914bb
parent65529bc54167cf2c1124fad59093e157a0c10d57 (diff)
jenkins.sh: Proper error message if local environment isn't set up
-rwxr-xr-xcontrib/jenkins.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index f1019e4..88eda80 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -1,4 +1,10 @@
#!/bin/sh
+# jenkins build helper script for libosmo-abis. This is how we build on jenkins.osmocom.org
+
+if ! [ -x "$(command -v osmo-build-dep.sh)" ]; then
+ echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+ exit 2
+fi
set -ex